Bug 653407 - Review Request: rubygem-hashery - A collection of Hash-like classes for Ruby
Summary: Review Request: rubygem-hashery - A collection of Hash-like classes for Ruby
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 652396
TreeView+ depends on / blocked
 
Reported: 2010-11-15 11:07 UTC by Marek Goldmann
Modified: 2010-11-30 22:27 UTC (History)
3 users (show)

Fixed In Version: rubygem-hashery-1.3.0-3.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-21 19:50:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Marek Goldmann 2010-11-15 11:07:55 UTC
Spec URL: http://goldmann.fedorapeople.org/package_review/rubygem-hashery.spec
SRPM URL: http://goldmann.fedorapeople.org/package_review/rubygem-hashery-1.3.0-1.fc14.src.rpm
Description:

The Hashery is a collection of Hash-like classes, spun-off from the original
Ruby Facets library. Included are the widely used OrderedHash, the related but
more featured Dictionary class, a number of open classes, similiar to the
standard OpenStruct and a few variations on the standard Hash.

Comment 1 Mamoru TASAKA 2010-11-15 18:15:17 UTC
Some notes:

* License
-----------------------------------------------------
Overall:	ASL 2.0

GPL+
./lib/hashery/ini.rb
./lib/hashery/linkedlist.rb

GPLv2 or Ruby
./lib/hashery/ostructable.rb
-----------------------------------------------------
  - The license tag should be "ASL 2.0 and GPL+ and (GPLv2 or Ruby)"

! Usability
  - It seems that hashery 1.3.0 gem is a bit broken
-----------------------------------------------------
[tasaka1@localhost ~]$ irb
irb(main):001:0> require "rubygems"
ge=> true
irb(main):002:0> gem "hashery"
=> true
irb(main):003:0> require "hashery"
LoadError: no such file to load -- facets/basicobject
	from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'
	from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'
	from /usr/lib/ruby/gems/1.8/gems/hashery-1.3.0/lib/hashery/openobject.rb:1
	from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'
	from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'
	from /usr/lib/ruby/gems/1.8/gems/hashery-1.3.0/lib/hashery.rb:7
	from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `gem_original_require'
	from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'
	from (irb):3
-----------------------------------------------------
    Currently I won't make this a blocker for this review request
    ( as requiring scripts under lib/hashery/ directly seems to work,]
      except for "lib/hashery/openobject.rb"), However would you contact the upstream?

? Scripts under test/
  - How can scripts under test/ directory be used? (If some test programs can
    be executable, would you do some tests in %check?)

Comment 2 Marek Goldmann 2010-11-15 18:42:38 UTC
(In reply to comment #1)
> Some notes:
> 
> * License
> -----------------------------------------------------
> Overall: ASL 2.0
> 
> GPL+
> ./lib/hashery/ini.rb
> ./lib/hashery/linkedlist.rb
> 
> GPLv2 or Ruby
> ./lib/hashery/ostructable.rb
> -----------------------------------------------------
>   - The license tag should be "ASL 2.0 and GPL+ and (GPLv2 or Ruby)"

Fixed!

> ! Usability
>   - It seems that hashery 1.3.0 gem is a bit broken
> -----------------------------------------------------
> [tasaka1@localhost ~]$ irb
> irb(main):001:0> require "rubygems"
> ge=> true
> irb(main):002:0> gem "hashery"
> => true
> irb(main):003:0> require "hashery"
> LoadError: no such file to load -- facets/basicobject
>  from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in
> `gem_original_require'
>  from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'
>  from /usr/lib/ruby/gems/1.8/gems/hashery-1.3.0/lib/hashery/openobject.rb:1
>  from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in
> `gem_original_require'
>  from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'
>  from /usr/lib/ruby/gems/1.8/gems/hashery-1.3.0/lib/hashery.rb:7
>  from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in
> `gem_original_require'
>  from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in `require'
>  from (irb):3
> -----------------------------------------------------
>     Currently I won't make this a blocker for this review request
>     ( as requiring scripts under lib/hashery/ directly seems to work,]
>       except for "lib/hashery/openobject.rb"), However would you contact the
> upstream?

Sure, created new issue for that: https://github.com/rubyworks/hashery/issues/issue/5

> ? Scripts under test/
>   - How can scripts under test/ directory be used? (If some test programs can
>     be executable, would you do some tests in %check?)

Well, it's a bit complicated. Tests are written using Lemon framework (https://github.com/proutils/lemon https://rubygems.org/gems/lemon). This framework has big dependency tree which is not packaged as RPMs. Is this a hard require to execute tests? Could we add it in next versions when the tree will be at least half-packaged?

Updated files:

Spec URL: http://goldmann.fedorapeople.org/package_review/rubygem-hashery.spec
SRPM URL:
http://goldmann.fedorapeople.org/package_review/rubygem-hashery-1.3.0-2.fc14.src.rpm

Thanks!

Comment 3 Mamoru TASAKA 2010-11-15 19:18:46 UTC
(In reply to comment #2)
> (In reply to comment #1)
> 
> > ? Scripts under test/
> >   - How can scripts under test/ directory be used? (If some test programs can
> >     be executable, would you do some tests in %check?)
> 
> Well, it's a bit complicated. Tests are written using Lemon framework
> (https://github.com/proutils/lemon https://rubygems.org/gems/lemon). This
> framework has big dependency tree which is not packaged as RPMs. Is this a hard
> require to execute tests? Could we add it in next versions when the tree will
> be at least half-packaged?

- Well, actually it looks somewhat complicated, so I would make %check
  section a blocker for this package (if some simple test method gets
  available (in the future), please consider to add it in %check)


----------------------------------------------------------
   This package (rubygem-hashery) is APPROVED by mtasaka
----------------------------------------------------------

Comment 4 Marek Goldmann 2010-11-18 13:24:34 UTC
Thanks for review!

New Package SCM Request
=======================
Package Name:      rubygem-hashery
Short Description: A collection of Hash-like classes for Ruby
Owners:            goldmann
Branches:          f13 f14

Comment 5 Jason Tibbitts 2010-11-18 16:37:08 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2010-11-19 10:13:43 UTC
rubygem-hashery-1.3.0-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/rubygem-hashery-1.3.0-2.fc13

Comment 7 Fedora Update System 2010-11-19 10:14:46 UTC
rubygem-hashery-1.3.0-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rubygem-hashery-1.3.0-2.fc14

Comment 8 Fedora Update System 2010-11-19 22:32:28 UTC
rubygem-hashery-1.3.0-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rubygem-hashery'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/rubygem-hashery-1.3.0-2.fc14

Comment 9 Mamoru TASAKA 2010-11-20 17:27:49 UTC
Please rebuild this package also for rawhide (F-15).

Comment 10 Marek Goldmann 2010-11-21 19:44:27 UTC
Done! http://koji.fedoraproject.org/koji/taskinfo?taskID=2613007

Comment 11 Mamoru TASAKA 2010-11-21 19:50:56 UTC
Thank you. Now closing.

Comment 12 Fedora Update System 2010-11-26 10:55:19 UTC
rubygem-hashery-1.3.0-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rubygem-hashery-1.3.0-3.fc14

Comment 13 Fedora Update System 2010-11-26 10:56:13 UTC
rubygem-hashery-1.3.0-3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/rubygem-hashery-1.3.0-3.fc13

Comment 14 Marek Goldmann 2010-11-26 10:59:50 UTC
Updated package after reporting "require 'hashery'" issues with upstream: https://github.com/rubyworks/hashery/issues/5

Comment 15 Fedora Update System 2010-11-30 22:25:25 UTC
rubygem-hashery-1.3.0-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2010-11-30 22:26:54 UTC
rubygem-hashery-1.3.0-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.